#------------------------------------------------------
# must be a system file name, which points to the
# xcu file, should be analyzed and splitted
#------------------------------------------------------
xmlfile =o:/SRC680/src.m21/officecfg/registry/data/org/openoffice/Office/TypeDetection.xcu

#------------------------------------------------------
# specify the format of the specified "xmlfile"
#------------------------------------------------------
informat = 6.0

#------------------------------------------------------
# must be a system directory, which can be cleared completly
# and will be used then to generate all results of this
# program there - means to generate al xcu fragments
#------------------------------------------------------
outdir =c:/temp/split/fragments

#------------------------------------------------------
# specify the format of the generated xcu fragments
# inside the "outdir"
#------------------------------------------------------
outformat = 6.Y

#------------------------------------------------------
# specify the text encoding, which must be used for
# reading the "xmlfile"
#------------------------------------------------------
inencoding = UTF-8

#------------------------------------------------------
# specify the text encoding, which must be used for
# writing the xcu fragments
#------------------------------------------------------
outencoding = UTF-8

#------------------------------------------------------
# The following defines specify system directories
# which must be sub directories of "outdir".
# Every of these sub dir willl be used to generate
# groups of xcu fragments there.
#------------------------------------------------------
subdir_types 			     = types
subdir_filters 			   = filters
subdir_detectservices  = detectservices
subdir_frameloaders 	 = frameloaders
subdir_contenthandlers = contenthandlers

#------------------------------------------------------
# Enable/Disable grouping of filter fragments and using
# of specialized sub directories.
#------------------------------------------------------
seperate_filters_by_module = false

#------------------------------------------------------
# The following defines specify system directories
# which must be sub directories of "outdir/subdir_filters".
# Every of these sub dir willl be used to generate
# groups of filter fragments there.
# Note: These sub directories are used only if
# "seperate_filters_by_module" is set to true!
#------------------------------------------------------
subdir_module_swriter  = swriter
subdir_module_sweb     = sweb
subdir_module_sglobal  = sglobal
subdir_module_scalc    = scalc
subdir_module_sdraw    = sdraw
subdir_module_simpress = simpress
subdir_module_smath    = smath
subdir_module_schart   = schart
subdir_module_others   = others

#------------------------------------------------------
# Define the file extension, which is used for
# every generated fragment inside "outdir".
#------------------------------------------------------
fragment_extension = .xcu

#------------------------------------------------------
# specify a debug level for generating debug output
# on the console
# The following levels exists:
#		0 = no output
#   1 = only errors/exceptions will be shown
#   2 = errors/exceptions and warnings will be shown
#   3 = additional to errors and warnings some global
#				informations are shown
#   4 = additional to errors and warnings some global
#				and many detailed informations are shown
#------------------------------------------------------
debug = 4

#------------------------------------------------------
# Enable/Disable creation of the new "COMBINED" filter flag
# for 6.y versions. That means: every filter with set
# "IMPORT" and "EXPORT" flag will get the new flag value
# and lose the old ones.
#------------------------------------------------------
create_combine_filter_flag = false

#------------------------------------------------------
# Remove some obsolete filter flags for 6.y versions.
#------------------------------------------------------
remove_filter_flag_browserpreferred = true
remove_filter_flag_preferred = false
remove_filter_flag_3rdparty = false

remove_graphic_filters = false
remove_filter_uinames = false
set_default_detector = false
